/production-api/polygonpackage/getbyidRetrieve a ProductionPolygonPackage by its ID
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ID of the desired ProductionPolygonPackage
Response Body
application/json
curl -X GET "https://example.com/production-api/polygonpackage/getbyid?id=0"{ "id": 0, "productionPolygonId": 0, "productionPackageId": 0, "barcode": "string", "packedAt": "2019-08-24T14:15:22Z", "amount": 1, "parentPolygonPackageId": 0, "childPolygonPackageIds": [ 0 ]}/production-api/polygonpackage/getbybarcodeRetrieves all ProductionPolygonPackages that match the barcode
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The barcode that should be used to find the ProductionPolygonPackages
Response Body
application/json
curl -X GET "https://example.com/production-api/polygonpackage/getbybarcode?barcode=string"[ { "id": 0, "productionPolygonId": 0, "productionPackageId": 0, "barcode": "string", "packedAt": "2019-08-24T14:15:22Z", "amount": 1, "parentPolygonPackageId": 0, "childPolygonPackageIds": [ 0 ] }]/production-api/polygonpackage/getbypolygonRetrieves all ProductionPolygonPackages belonging to a specific ProductionPolygon
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ID of the ProductionPolygon
Response Body
application/json
curl -X GET "https://example.com/production-api/polygonpackage/getbypolygon?productionPolygonId=0"[ { "id": 0, "productionPolygonId": 0, "productionPackageId": 0, "barcode": "string", "packedAt": "2019-08-24T14:15:22Z", "amount": 1, "parentPolygonPackageId": 0, "childPolygonPackageIds": [ 0 ] }]/production-api/polygonpackage/createCreates a new ProductionPolygonPackage
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The desired ProductionPolygonPackage
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/production-api/polygonpackage/create" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "productionPolygonId": 0, "productionPackageId": 0, "barcode": "string", "packedAt": "2019-08-24T14:15:22Z", "amount": 1, "parentPolygonPackageId": 0, "childPolygonPackageIds": [ 0 ]}/production-api/polygonpackage/updateUpdates an existing ProductionPolygonPackage
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The updated ProductionPolygonPackage model
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/production-api/polygonpackage/update" \ -H "Content-Type: application/json" \ -d '{}'{ "id": 0, "productionPolygonId": 0, "productionPackageId": 0, "barcode": "string", "packedAt": "2019-08-24T14:15:22Z", "amount": 1, "parentPolygonPackageId": 0, "childPolygonPackageIds": [ 0 ]}/production-api/polygonpackage/deleteDeletes an existing ProductionPolygonPackage
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ProductionPolygonPackage ID
Response Body
curl -X DELETE "https://example.com/production-api/polygonpackage/delete?id=0"